Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc.metadata
Class JDBCEntityCommandMetaData

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.metadata.JDBCEntityCommandMetaData

public final class JDBCEntityCommandMetaData
extends Object

This immutable class contains information about entity command

Version:
  $Revision: 1.8 $
Author:
  Alex Loubyansky

Constructor Summary
`JDBCEntityCommandMetaData(Element element)` Constructs a JDBCEntityCommandMetaData reading the entity-command element
`JDBCEntityCommandMetaData(Element element, JDBCEntityCommandMetaData defaultValues)` Constructs a JDBCEntityCommandMetaData from entity-command xml element and default values

Method Summary
`String` | `getAttribute(String name)`
`Class` | `getCommandClass()`
`String` | `getCommandName()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDBCEntityCommandMetaData

    public JDBCEntityCommandMetaData(Element element)
                              throws org.jboss.deployment.DeploymentException

  Constructs a JDBCEntityCommandMetaData reading the entity-command element

Parameters:
  `element` - - entity-command element

### JDBCEntityCommandMetaData

    public JDBCEntityCommandMetaData(Element element,
                                     JDBCEntityCommandMetaData defaultValues)
                              throws org.jboss.deployment.DeploymentException

  Constructs a JDBCEntityCommandMetaData from entity-command xml element and default values

Parameters:
  `element` - entity-command element

Method Detail

### getCommandName

    public String getCommandName()

  Returns:
    the name of the command

### getCommandClass

    public Class getCommandClass()

  Returns:
    the class of the command

### getAttribute

    public String getAttribute(String name)

  Returns:
    value for the passed in parameter name

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.